Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider
Class AbstractVfsContainer

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer

All Implemented Interfaces:
  VfsComponent

Direct Known Subclasses:
  AbstractFileProvider, VirtualFileProvider

public abstract class AbstractVfsContainer
extends AbstractVfsComponent

A `VfsComponent` that contains a set of sub-components.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`AbstractVfsContainer()`

Method Summary
`protected void` | `addComponent(Object component)` Adds a sub-component to this component.
`void` | `close()` Closes the sub-components of this component.
`protected void` | `removeComponent(Object component)` Removes a sub-component from this component.

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractVfsContainer

    public AbstractVfsContainer()

Method Detail

### addComponent

    protected void addComponent(Object component)
                         throws FileSystemException

  Adds a sub-component to this component. If the sub-component implements `VfsComponent`, it is initialised. All sub-components are closed when this component is closed.

  Throws:
    `FileSystemException`

### removeComponent

    protected void removeComponent(Object component)

  Removes a sub-component from this component.

### close

    public void close()

  Closes the sub-components of this component.

  Specified by:
    `close` in interface `VfsComponent`
  Overrides:
    `close` in class `AbstractVfsComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.